cmat(1)

Name
cmat - Creates a matrix for calculating homology dimension n.

Syntax

    cmat n [inputfile]

Options

n   The dimension (> 1) whose matrix we will produce.

inputfile
    The groups complete rewriting system file that conforms to the Geometry Group Standard format (including finite state automata), and in particular should be of the form outputted by kbeqn or cfsa - that is, we can just use the output from kbeqn as the input to our program. If no file name is given Standard Input is used.

Usage
Given a group and its complete rewriting system including finite state automata (the inputfile), calculates boundaries for critical n-tuples, and forms a matrix from these calculations. The boundary calculation algorithms used are based on those given by J. R. J. Groves "Rewriting Systems and Homolgy of Groups" in his research report from The University of Melbourne, Department of Mathematics, 1990 and original algorithms by J.R.J.Groves 1993-1994.

Example
Suppose we have a groups rewriting system in a file "grpA.kbeqn". We are interested in obtaining the matric for dimension 3. We run cmat as follows:
        cmat 3 grpA.kbeqn Output is to standard output - the result being, say:
        Matrix: rows = 48, cols = 96 Followed by the elements of the matrix.

Bugs
If a rewriting system is not complete, the program may crash. This is because certain tests are not performed to reduce execution time.

See also
cfsa(1) kbeqn(1) kbeqn2(1) chom(1)

Author
Jamie P. Curmi (7/6/94) for the Computational Tools for Homolgy of Groups Project